org.apache.jmeter.assertions

## Interface Assertion

All Known Implementing Classes:
  BeanShellAssertion, BSFAssertion, CompareAssertion, DurationAssertion, HTMLAssertion, JMESPathAssertion, JSONPathAssertion, JSR223Assertion, MD5HexAssertion, ResponseAssertion, SizeAssertion, SMIMEAssertionTestElement, XMLAssertion, XMLSchemaAssertion, XPath2Assertion, XPathAssertion

    public interface Assertion

An Assertion checks a SampleResult to determine whether or not it is successful. The resulting success status can be obtained from a corresponding Assertion Result. For example, if a web response doesn't contain an expected expression, it would be considered a failure.

### Method Summary

All Methods Instance Methods Abstract Methods
`AssertionResult` `getResult(SampleResult response)` Returns the AssertionResult object encapsulating information about the success or failure of the assertion.

### Method Detail

#### getResult

    AssertionResult getResult(SampleResult response)

Returns the AssertionResult object encapsulating information about the success or failure of the assertion.

Parameters:
  `response` - the SampleResult containing information about the Sample (duration, success, etc)
Returns:
  the AssertionResult containing the information about whether the assertion passed or failed.